libzypp 17.37.10

zyppng::GLibTimerSource Struct Reference

`#include <zypp-core/zyppng/base/private/eventdispatcher_glib_p.h>`

## Static Public Member Functions
static gboolean | prepare (GSource *src, gint *timeout)
static gboolean | check (GSource *source)
static gboolean | dispatch (GSource *source, GSourceFunc, gpointer)
static GLibTimerSource * | create ()
static void | destruct (GLibTimerSource *src)

## Public Attributes
GSource | source
Timer * | _t = nullptr

## Detailed Description

Definition at line 49 of file eventdispatcher_glib_p.h.

## Member Function Documentation

## ◆ prepare()

gboolean zyppng::GLibTimerSource::prepare | ( | GSource * | src,
|  | gint * | timeout )
| static

Definition at line 173 of file eventdispatcher_glib.cc.

## ◆ check()

gboolean zyppng::GLibTimerSource::check | ( | GSource * | source | ) |
| static

Definition at line 194 of file eventdispatcher_glib.cc.

## ◆ dispatch()

gboolean zyppng::GLibTimerSource::dispatch | ( | GSource * | source,
|  | GSourceFunc | ,
|  | gpointer | )
| static

Definition at line 200 of file eventdispatcher_glib.cc.

## ◆ create()

GLibTimerSource * zyppng::GLibTimerSource::create | ( |  | ) |
| static

Definition at line 214 of file eventdispatcher_glib.cc.

## ◆ destruct()

void zyppng::GLibTimerSource::destruct | ( | GLibTimerSource * | src | ) |
| static

Definition at line 222 of file eventdispatcher_glib.cc.

## Member Data Documentation

## ◆ source

GSource zyppng::GLibTimerSource::source

Definition at line 51 of file eventdispatcher_glib_p.h.

## ◆ _t

Timer* zyppng::GLibTimerSource::_t = nullptr

Definition at line 52 of file eventdispatcher_glib_p.h.

The documentation for this struct was generated from the following files:

- zypp-core/zyppng/base/private/eventdispatcher_glib_p.h
- zypp-core/zyppng/base/eventdispatcher_glib.cc